#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "vidinter.h"

#include "macros.h"
#include "fileio.h"
#include "debug.h"

void _DeInitMode( void )
{
	v_TextMode;
}


int _InitMode( void )
{
	vga_init();

	m_MouseInit;

	if ( vga_hasmode( MODE ) )
		v_SetMode;
	else
		exit (-1);
	gl_setcontextvga( MODE );
	gl_enableclipping();
	gl_setclippingwindow( 0, 0, v_XMax, v_YMax );
	__initMouseDriver();

    #ifdef AUTO_DE_INIT
	atexit( _DeInitMode );
    #endif

	return 1;
}

void __Rectangle( int x1, int y1, int x2, int y2, int color )
{
    v_PutLine( x1, y1, x2, y1, color );
	v_PutLine( x1, y1, x1, y2, color );
	v_PutLine( x2, y1, x2, y2, color );
	v_PutLine( x1, y2, x2, y2, color );
}

#pragma warn -par
void __PrintMsg( int x, int y, int len, int fc, int bc, char *str)
{
}

void __Getbmp( int x, int y, int width, int height,  void* buffer )
{
	short *w, *h;
	w = (short *)buffer;
	h = (short *)(buffer + 2);
	buffer += 4;

	*w = (short)width;
	*h = (short)height;
	gl_getbox( x, y, width, height, buffer );
}

void __Putbmp( int x, int y, void* buffer )
{
	short *w, *h;

	w = (short *)buffer;
	h = (short *)(buffer + 2);
	buffer += 4;
	gl_putbox( x, y, (int)*w, (int)(*h), buffer );
}
