#include "queue.h"

char* qItem::cachePool = new char [ Q_CACHE_LIMIT * sizeof( qItem )];
qItem* qItem::Cache[ Q_CACHE_LIMIT ];
int qItem::nCache = 0;
int qItem::i = 0;

void* qItem::operator new( size_t )
{
	if ( nCache )
		return Cache[--nCache];
	else if ( i < Q_CACHE_LIMIT )
		return ((char*)cachePool + (i++ * sizeof(qItem)));
	return 0;
}

void qItem::operator delete( void *ptr, size_t )
{
    if ( !ptr ) return;
    Cache[nCache++] = (qItem*)ptr;
}

queue::~queue()
{
    while ( CGet() );
}
int queue::CAdd( int value )
{
    if ( Total == Q_CACHE_LIMIT )
        return 0;
    if ( !head )
        head = tail = new qItem( value );
    else
        tail->next = new qItem( value );
    tail = tail->next;
    return (++Total);
}
int queue::CGet( void )
{
    if ( !head )
        return 0;
    else {
        int value = head->item;
        qItem *tmp = head;
        head = head->next;
        delete tmp;
        Total --;
        return value;
    }
}
