#ifdef MOU_INTERFACE

#include "mousefun.h"

#define LEFT_PRESSED   1
#define RIGHT_PRESSED  2
#define LNR_PRESSED    3
#define MIDDLE_PRESSED 4
#define LNM_PRESSED    5
#define RNM_PRESSED    6
#define ALL_PRESSED    7

//
// Mouse Functions expected to use in ObjMgr
//
#define m_MouseInit                     mouse_reset( 0 )
#define m_MouseDeInit


// Redraw the mouse cursor and read x & y corrdinates
#define m_UpdateMouse
extern int horz_pos;
extern int vert_pos;
#define m_MouseX                        horz_pos
#define m_MouseY                        vert_pos
#define m_ShowMouse                     mouse_show()
#define m_HideMouse                     mouse_hide()
#define m_MouseButtonStatus             mouse_status()
#define m_FreezeMouse
#define m_DeFreezeMouse

//
// Other functions not expected to use
//
// Set the cursor to cur <char far *> in color <int>
//
#define m_MouseSetCur(cur, color )
#define m_MouseSetXY(x, y )

// Set a rect the pointer is limited in
//
#define m_MouseWindow(x1, y1, x2, y2 )

// Set the mouse cursor's color
//
#define m_MouseCurColor(color )

#define CLICK  128 // 10000000
#define HOLD   16  // 00010000
#define DOUBLE 8   // 00001000
#define BUTTON 7   // 00000111

#define LCLICK (CLICK|LEFT_PRESSED)
#define MCLICK (CLICK|MIDDLE_PRESSED)
#define RCLICK (CLICK|RIGHT_PRESSED)
#define LHOLD  (HOLD|LEFT_PRESSED)
#define MHOLD  (HOLD|MIDDLE_PRESSED)
#define RHOLD  (HOLD|RIGHT_PRESSED)

#endif
