//
// Video Interface
//

#ifndef VID_INTERFACE
#define VID_INTERFACE

#include "depend.h"


#ifdef __MSDOS__

#ifdef __XLIB__
#include "xlibintr.h"
#endif

#ifdef __MODE13H__
#include "mode13.h"
#endif

#ifdef __TURBOC_GRAPH__
#include "tbgraph.h"
#endif

#endif


#ifdef __LINUX__
#include "lnxmode.h"
#endif

extern int DefColors[7];  // system colors 1-7, 7 not use yet
#define FaceColor       DefColors[0]
#define TextColor       DefColors[1]
#define BtnUpColor      DefColors[2]
#define BtnLowColor     DefColors[3]
#define HighLiteColor   DefColors[4]
#define OutLineColor    DefColors[5]

void v_ResetColors( void ); // Reset system colors 1-6
                            // Each graphic interface should provide this
                            // function individually.
extern BBOOL PageFlipping;  // Indicate pageflipping in action when using
                            // Double Buffer.  After flipped the page
                            // Need to update VideoPage to be Hidden page

#endif

// end of Video Interface
