//
// Video Interface
//

#ifndef VID_INTERFACE
#define VID_INTERFACE

#include "depend.h"


#ifdef __MSDOS__

#ifdef __XLIB__
#include "xlib\xlibintr.h"
#endif

#ifdef __MODE13H__
#include "mode13\mode13.h"
#endif

#ifdef __TURBOC_GRAPH__
#include "tbbgi\tbgraph.h"
#endif

#endif


#ifdef __LINUX__
#include "linux\lnxmode.h"
#endif

extern BYTE _FAR_ RawPalData[];
extern BYTE _FAR_ *RawPalPtr;
extern char _FAR_ *FontDataPtr;

typedef struct zRGBColor
{
    BYTE r;
    BYTE g;
    BYTE b;
} RGBColor;

extern RGBColor DefColorRGB[];

extern RGBColor DefRGB[];

extern int DefColors[];  // system colors 1-9
extern int RGBColors[];
#define FaceColor       DefColors[0]
#define TextColor       DefColors[1]
#define BtnUpColor      DefColors[2]
#define BtnLowColor     DefColors[3]
#define HighLiteColor   DefColors[4]
#define OutLineColor    DefColors[5]
#define v_cBlack        DefColors[6]
#define v_cWhite        DefColors[7]
#define MouseCursorColor DefColors[8]
#define v_cRed          RGBColors[0]
#define v_cGreen        RGBColors[1]
#define v_cBlue         RGBColors[2]
#define v_cZero         0

#define DefRed          8
#define DefGreen        9
#define DefBlue         10
#define DefBlack        7
#define DefWhite        1

void v_ResetColors( void ); // Reset system colors 1-6
                            // Each graphic interface should provide this
                            // function individually.
extern BBOOL PageFlipping;  // Indicate pageflipping in action when using
                            // Double Buffer.  After flipped the page
                            // Need to update VideoPage to be Hidden page

#endif

// end of Video Interface
