#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <string.h>

#include "vidinter.h"

#include "macros.h"
#include "fileutil.h"
#include "debug.h"

static char _FAR_ *ScreenPtr = (char _FAR_ *)MK_FP( 0xa000, 0 );

void _DeInitMode( void )
{
	v_TextMode;
}


int _InitMode( void )
{
	v_SetMode;
    m_MouseInit;
    m_ShowMouse;
    #ifdef AUTO_DE_INIT
    atexit( _DeInitMode );
    #endif
	return 0;
}

void __Rectangle( int x1, int y1, int x2, int y2, int color )
{
    v_PutLine( x1, y1, x2, y1, color );
	v_PutLine( x1, y1, x1, y2, color );
	v_PutLine( x2, y1, x2, y2, color );
	v_PutLine( x1, y2, x2, y2, color );
}

#pragma warn -par
void __PrintMsg( int x, int y, int len, int fc, int bc, char *str)
{
}

void __Getbmp( int x, int y, int width, int height, char _FAR_ *buf )
{
    int _FAR_ *w, _FAR_ *h;
    w = (int _FAR_ *)buf;
    h = (int _FAR_ *)(buf + 2);
    buf += 4;

	*w = width;
	*h = height;

	if ((x+width>v_Width)) return;

	for ( int row=0; row<height; row++)
		for(int column=0; column<width; column++)
            buf[row*width+column] = ScreenPtr[(y+row)*v_Width+x+column];
}

void __Putbmp( int x, int y, char _FAR_* buf )
{
    int _FAR_ *w, _FAR_ *h;
    w = (int _FAR_*)buf;
    h = (int _FAR_*)(buf + 2);
    vglPut( x, y, *w, *h, buf+4 );
}
