#include "allobj.h"
#include "vidinter.h"
#include "timer.h"
#include "fileio.h"
#include "debug.h"
#include "actids.h"
#include "depend.h"
#include "keys.h"
#include "viewmgr.h"
#include <string.h>

#ifdef __MSDOS__
#include <dos.h>
#include <conio.h>
#include <alloc.h>
#endif

#ifdef __LINUX__
#include <unistd.h>
#endif

const char quitMsg[]=" Really __QUIT__? ";

#include <stdio.h>
#include <stdlib.h>

class map:public ViewMgr
{
protected:
    virtual void KeyBoardHandler( void );
    static DeclareObjH( MapPal );
public:
    friend DeclareIntC ( updatemap );
    map(int x1, int y1, int x2, int y2, Object *object = 0,
        ObjH(handler ) = 0, WORD id = 0 )
        :ViewMgr( x1, y1, x2, y2, object, handler, id )
            { CSetHandler( MapPal ); }
    map(void ):ViewMgr()                                        { }
    ~map()                                                      { }
    int identify() { return 8; }
};

DeclareObjHClass( map, MapPal )
{
    if ( msg->actId == YESNO_YES )
		((map*)msg->ToObj)->stop = 1;
    else
    if ( isClick( msg, LEFT_PRESSED ))
        beep( 500, 10 );
    return 0;
}

void map :: KeyBoardHandler( void )
{
    while ( kbhit() ) {
        if ( getch() == ESC ) {
            // yesno DOES *NOT* return the user respond(yes/no), instead,
            // it returns true if yesno dialog is installed successfully
            // otherwise, it returns false.  yesno Dialog will send a
            // actId == YESNO_YES or YESNO_NO message to the object, which
            // is point to by this in this case, that requested the dialog,
            if ( yesno( (char*)quitMsg, (Object*)this ) )
                TraceMouse = FALSE;
        }
    }
}

DeclareIntC( updatemap )
{
    static map* mapPtr;
    mapPtr = (map*) _ObjPtr;

    return 0;
}

//andout map gblMap( 0, 0, v_XMax / 2, v_YMax - 1, 0, 0, 0 );
map gblMap( 0, 0, v_XMax / 4, v_YMax - 100, 0, 0, 0 );


//    gblMap.CRegObject( new Button( v_XMax/2, 115, v_XMax/2 + 30,
//                        125, quit, 20, "Quit"));


DeclareObjH( quit )
{
    if ( msg->actId == YESNO_YES ) {
        gblMap.CStopLoop();
    } else
    if ( isClick(msg, LEFT_PRESSED) ) {
        yesno( (char*)quitMsg, msg->ToObj );
    }
    return 0;
}

main ()
{
    _InitVideo;
    // Load and set standard pallete.
    #ifdef __MSDOS__
    char far *pals = readfile( "data\\standard.pal");
    v_PutPal( pals );
    #endif

    gblMap.CDrawOutLine( HighLiteColor );
    gblMap.CRegObject( new Button( v_XMax/2, 115, v_XMax/2 + 30,
                        125, quit, 20, "Quit"));
    gblMap.CShowAllObject();
    gblMap.CRegObject( (Object*)&gblMap );

	m_ShowMouse;
	gblMap.CMgrLoop();

	_RestoreVideo;
	return 0;
}
