#include <stdio.h>

main( int argc, char **argv )
{
    if ( argc < 2 ) {
        fprintf( stderr, "usage: filesize file \n");
        return 1;
    }
    FILE *f;
    f = fopen( argv[1], "rb");
    if ( !f ) {
        fprintf(stderr, "Error opening %s.\n", argv[1]);
        perror("fopen");
        return 2;
    }
    fseek( f, 0, SEEK_END );
    unsigned size;
    size = (unsigned)ftell(f);
    printf("%u ", size );
    fclose( f );
    return size;
}
