#ifndef _DEBUG_H_
#define _DEBUG_H_

//#define debug

#ifdef debug
  #ifdef __cplusplus
    #include <iostream.h>
	#define debug_msg( x ) { \
	  cout << "FILE: " << __FILE__ << "  " << __LINE__ << " "; \
	  cout << x; \
	  cout.flush(); }
    #define debug_cnt( x ) cout << x
  #else
    #include <stdio.h>
	#define debug_msg( x ) { \
	  printf("FILE: %s  LINE: %d  ", __FILE__, __LINE__ ); \
	  printf x; }
    #define debug_cnt( x ) printf x
  #endif
#else
  #define debug_msg( x ) /* */
  #define debug_cnt debug_msg
#endif


#endif
