#ifndef _SPCANVAS_H_
#define _SPCANVAS_H_

class zSprView;
class zCanvas;
class CRL;

extern int FillInterior;

class zCanvas:public Button
{
public:
    static int penType;
    int cx, cy, sx, sy, color;
    int OrigX, OrigY;           // Border + 1
    int PixSize, HalfPixSize;
    BBOOL penDown, Adjusted, RestrictX, RestrictY;
    char _FAR_ *UndoData;
    zSprView *Viewer;

    _pascal_ zCanvas( int x1, int y1, int x2, int y2, OBJH h = 0,
                      WORD id = 0, char *name = 0 )
        :Button( x1, y1, x2, y2, h, id, name ),
        cx(-1), cy(-1), color(-1), sx(0), sy(0),
        OrigX(x1+1), OrigY(y1+1),
        PixSize(PIX_SIZE), HalfPixSize(PIX_SIZE/2),
        penDown(FALSE), Adjusted(FALSE),
        RestrictX(FALSE), RestrictY(FALSE),
        UndoData(0), Viewer(0)                              {}
    void _pascal_ DrawGrids( BBOOL ColorZero = FALSE );
    void _pascal_ RedrawCanvas( void );
    void _pascal_ PutPixel( void );
    void _pascal_ PutPixelPos( int x, int y );
    void _pascal_ ShowMousePos( void );
    int  _pascal_ SetColor( BYTE mouBut );
    void _pascal_ InitPenDown( void );
    void _pascal_ TranslateXY( void );
    void _pascal_ CompleteDraw( void );
    DeclareObjH( DrawPixels );
    int _pascal_ FillIt( int, int );
    DeclareObjH( Draw2 );
    DeclareObjH( Fill );
    DeclareObjH( SwapSprColor );
    void _pascal_ CheckKey( int key );
    void _pascal_ CopyToBuffer( char _FAR_ *buf );
    void _pascal_ CopyToScreen( char _FAR_ *buf );
    void _pascal_ AdjustPixSize( void );
    void _pascal_ SaveUndo( void );
    void _pascal_ DoUndo( void );
    void _pascal_ ChangeCursor( void );
    DeclareObjH( DoDraw );

};

extern zCanvas *Canvas[2];

DeclareObjH( CanvasEdit );

#endif
