#include "allobj.h"
#include "vidinter.h"
#include "timer.h"
#include "fileio.h"
#include "debug.h"
#include "actids.h"
#include "depend.h"
#include <string.h>

#ifdef __MSDOS__
#include <dos.h>
#include <conio.h>
#include <alloc.h>
#endif

#ifdef __LINUX__
#include <unistd.h>
#endif

#include <stdio.h>
#include <stdlib.h>

#define cRED    29
#define cGREEN  181
#define cBLUE   61

ViewMgr MainMgr;    // The main manager
#define CRegPrvInt( x, ObjectPtr ) CRegInt( x, ObjectPtr, 1 )
char buffer[80];

#define inc 10
#define grid 4
#define ROWS_OF_BUTTONS 2

#define EDIT_WINDOW_X1  0
#define EDIT_WINDOW_X2  (v_XMax - 1)
#define EDIT_WINDOW_Y1  ((inc + grid) * ROWS_OF_BUTTONS + 5 )
#define EDIT_WINDOW_Y2  (EDIT_WINDOW_Y1 + 80 )
#define EDIT_WINDOW EDIT_WINDOW_X1, EDIT_WINDOW_Y1, \
					EDIT_WINDOW_X2, EDIT_WINDOW_Y2
#define EDIT_OBJECT 20, EDIT_WINDOW_Y1+1, EDIT_WINDOW_X2-1, EDIT_WINDOW_Y2-1
#define CLEAR_BUTTON 2, EDIT_WINDOW_Y1+2, 18, EDIT_WINDOW_Y2-2

#define EXIT_BUTTON_ID  45

#define LOCB1X  232
#define LOCB2X  238
#define LOCB3X  244
#define RX1     1
#define RY1     (EDIT_WINDOW_Y2+1)
#define RY2     (RY1+10)

static char *openFN = 0;
static char *saveFn = 0;

class map:public ViewMgr
// public ScrObj, public ObjMgr
{
public:
    friend DeclareIntC ( updatemap );
    map(int x1, int y1, int x2, int y2, Object *object = 0,
        ObjH(handler ) = 0, WORD id = 0 )
        :ViewMgr( x1, y1, x2, y2, object, handler, id, 1 /* is slave */ ) { }
    map(void ):ViewMgr()                                        { }
    ~map()                                                      { }
    int identify() { return 8; }
};

DeclareIntC( updatemap )
{
    static map* mapPtr;
    mapPtr = (map*) _ObjPtr;
    static char turn[]="-\\|/";
    static BYTE idx = 0;
    static BYTE showId;
    if (!showId ) {
        showId = 1;
        sprintf(buffer, "my ID: %u", mapPtr->CGetID());
        v_PrintMsg( 80, 216, cRED, cGREEN, buffer);
    }
    sprintf(buffer, " %c", turn[idx]);
    v_ShowMsgLen(68, 216, 12, cGREEN, cRED, buffer );
    idx ++;
    if (idx == 3) idx = 0;

    m_ShowMouse;

    return 0;
}

DeclareIntCNoPtr (waitforkey )
{
    static int display;

    if (!display ) {
        while (kbhit () ) getch ();    // clean the keys;
        display = 1;
        v_PrintMsgLen ( 0, 200, 0, cBLUE, 0, "Press a key to exit.");
    }

    if (kbhit () ) {
        delay( 200 );
        Timer::CRemoveTimer();
        _RestoreVideo;
        exit(0);
	}

    return UNREGME;
}

#define LOCX 0
#define LOCY 232
static BBOOL Editing = FALSE;

DeclareIntCNoPtr(UpdateMsg )
{
    static int oldMx, oldMy;
    static int newMx, newMy;
    oldMx = newMx;
    oldMy = newMy;
    newMx = m_MouseX;
    newMy = m_MouseY;
	if (oldMx != newMx || oldMy != newMy ) {
        sprintf( buffer, "X= %d  Y= %d", newMx, newMy);
        if ( Editing ) strcat( buffer, " !!!");
        v_ShowMsgLen( LOCX, LOCY, 120, cRED, cGREEN, buffer );
    }
    return 0;
}

DeclareIntCNoPtr ( beezzz )
{
    static char turn[]="-\\|/";
    static BYTE idx = 0;
    sprintf (buffer, "%c", turn[idx]);
	v_ShowMsgLen (56, 216, 6, cRED, cGREEN, buffer );
    idx ++;
    if (idx == 3) idx = 0;
    return 0;
}

DeclareObjH (RectHandler )
{
    v_PrintMsgLen (LOCB1X, LOCY, 18, cRED, cGREEN, "   " );
    sprintf (buffer, "%d", msg->actId );
    v_PrintMsgLen (214, LOCY, 18, cRED, cGREEN, buffer );
	
    BYTE mouAction = Button::CAction(msg);
	if ( !mouAction ) return 0;

	if ( mouAction == CLICK ) {
        switch ( msg->mouButton & BUTTON ) {
            case LEFT_PRESSED:
                v_PrintMsgLen (LOCB1X, LOCY, 6, cRED, cGREEN, "L" );
                beep (500, 20 );
                break;
            case RIGHT_PRESSED:
                v_PrintMsgLen (LOCB2X, LOCY, 6, cRED, cGREEN, "R" );
                break;
//            case LNR_PRESSED:
            case 4:
                v_PrintMsgLen (LOCB3X, LOCY, 6, cRED, cGREEN, "B" );
        }
    }
    return 1;
}

DeclareObjH (beep_beep )
{
    if ( isClick( msg, LEFT_PRESSED ) ) {
        delay (300 );
        beep (500, 20 );
        delay (300 );
        beep (550, 20 );
    }
    return 1;
}

DeclareObjH( ShowThem )
{
    Button* Cur = (Button*)msg->ToObj;
    m_HideMouse;
	if ( ViewMgr::CAddClick(msg) == 2 ) {
		ViewMgr::CResetClicks();
        Cur->CDrawOutLine( 77 );  // Draw a purple outline
    }
    switch( Cur->CGetID()) {
    case 100:
        ViewMgr::CSendMsg( CurrentMgr->CGetObject( 300), userEDIT_CLEAR,
                        msg->ToObj );
        break;
    case 2:
    #ifdef __MSDOS__
        sprintf (buffer, "coreleft: %u bytes", coreleft () );
	v_PrintMsg (0, 224, cRED, cGREEN, buffer );
    #endif
    #ifdef __LINUX__
	v_PrintMsgLen (0, 224, 110, cRED, cGREEN, "Linux is running. :)" );
    #endif
	break;
    case EXIT_BUTTON_ID:
	yesno( " Really QUIT!?? ", msg->ToObj );
	break;
    }

	sprintf (buffer, "My ID: %d", Cur->CGetID () );
    v_PrintMsg (0, 210, cRED, cGREEN, buffer );
    m_ShowMouse;
	return 0;
}

DeclareObjH (ListHandle )
{
    switch( msg->actId ) {
    case YESNO_YES:
        delay( 200 );
        Timer::CRemoveTimer();
        _RestoreVideo;
        exit(0);

    default:
        if ( !isClick( msg, LEFT_PRESSED )) break;
        ShowThem( msg );
    }
    return 0;
}

DeclareObjH( ActivateEditViewMgr )
{
    ViewMgr *winThis = (ViewMgr*)msg->ToObj;
    ViewMgr *boss = (ViewMgr*)CurrentMgr;
    if ( !msg->actId && boss->CGiveUpControl() && msg->mouButton & HOLD ) {
		sprintf (buffer, "My ID: %d", winThis->CGetID () );
        v_PrintMsg (0, 216, cRED, cGREEN, buffer );

        ViewMgr::CMakeMouseOnNoObject();

        winThis->CRestoreOutLine();
		winThis->CDrawOutLine( HighLiteColor );
		winThis->CMgrLoop();

        m_HideMouse;
		winThis->CDrawOutLine( OutLineColor );
        m_ShowMouse;
		v_PrintMsgLen (0, 216, 55, 0, 0, "" );

		return 1;
    }
	return 0;
}

DeclareObjH( Edit )
{
	static int newMx, newMy;
    static int oldMx, oldMy, penDown, draw;
    static int color;

    ScrObj *editor = (ScrObj*)msg->ToObj;
    switch ( msg->actId ) {
    case userEDIT_CLEAR:
        penDown = 0;
        m_HideMouse;
        editor->CClrContext( 0 );
        editor->CDrawOutLine( cGREEN );
        m_ShowMouse;
        return 0;
    case CANCEL_CLICK:  // mouse click cancel
        ViewMgr::TraceMouse = TRUE;
        break;
    default:
        if ( msg->actId )             return 0;
    }
    color = msg->mouButton & BUTTON;
    if ( color == 1 )       color = 13;
    else if ( color == 2 )  color = 0;
    else                    return ( penDown = 0);
    ViewMgr::TraceMouse = FALSE;
    Editing = TRUE;
    if ( !penDown ) {
        newMx = objMouseX;
        newMy = objMouseY;
        penDown = 1;
    }
    oldMx = newMx;
    oldMy = newMy;
    newMx = objMouseX;
    newMy = objMouseY;

    if ( (oldMx != newMx || oldMy != newMy) && msg->mouButton & HOLD ) {
        m_HideMouse;
        v_PutLine( oldMx, oldMy, newMx, newMy, color);
		m_ShowMouse;
        draw = 1;
    } else if ( msg->mouButton & CLICK ) {
        penDown = 0;
        ViewMgr::TraceMouse = TRUE;
        Editing = FALSE;
        if ( !draw ) {
            m_HideMouse;
            v_PutPixel( newMx, newMy, color );
            m_ShowMouse;
        } else
            draw = 0;
    }
	return 0;
}


//
// Dialogs
//

class ButtonPtr
{
protected:
    Button *btnPtr;
    ButtonPtr *next;
public:
    ButtonPtr() { btnPtr = 0; next = 0; }
    friend class ButtonStack;
};

class ButtonStack
{
protected:
    ButtonPtr *top;
    int total;
public:
    ButtonStack() { top = 0; total = 0; }
    int CPush( Button *ptr ) {
		if (!top)
            top = new ButtonPtr();
        else {
            ButtonPtr *tmp = new ButtonPtr();
            tmp->next = top;
            top = tmp;
        }
        top->btnPtr = ptr;
        return ++total;
    }
    Button* CPop() {
        if (!top)
            return 0;
        else {
            Button *tmp = top->btnPtr;
            ButtonPtr *delPtr = top;

            top = top->next;
            delete delPtr;

            total--;
            return tmp;
        }
    }
    int CStackCount() { return total; }
};

#define DLG_SIZE  50

DeclareObjH(CallDlg )
{
	static int x = 50, y = 50;
	static Dialog *firstDlg = 0;
	static ButtonStack ButtonList;
    static BBOOL valid = TRUE, Confirmed;

	switch(msg->actId) {
	case DESTROY_DIALOG:
		debug_msg( "new method: destroy received.\n");
//        Dialog *tmpDlg = (Dialog*)firstDlg->next;
		delete ButtonList.CPop();
		delete firstDlg;
//		firstDlg = tmpDlg;
		x -= 5; y -= 5;
        ViewMgr::TraceMouse = FALSE;
		if ( firstDlg ) {
            if ( Confirmed ) ViewMgr::CSendMsg( firstDlg, DIALOG_CONFIRM, 0 );
        } else {
            valid = TRUE;
            Object *tmpObj = MainMgr.CGetObject(2);
            ViewMgr::TraceMouse = TRUE;
            ViewMgr::CSendMsg( tmpObj, 0, msg->ToObj, LHOLD );
            ViewMgr::CSendMsg( tmpObj, 0, msg->ToObj, LCLICK );
        }
        return 0;

    case DIALOG_CANCEL:
        debug_msg("new method: cancel received.\n");
        Confirmed = FALSE;
        return 0;

    case DIALOG_CONFIRM:
        debug_msg("new method: confirm received.\n");
        Confirmed = TRUE;
        return 0;

    case INSTALL_DIALOG:
        valid = TRUE;
        return 0;

	}
    if ( valid && isClick( msg, LEFT_PRESSED )) {
        valid = FALSE;
        if (ButtonList.CStackCount() == 3) {
            ViewMgr::CSendMsg( firstDlg, DIALOG_CONFIRM, 0 );
            ViewMgr::TraceMouse = FALSE;
        } else {
            Dialog *tmpDlg =
				new Dialog( x, y, x+DLG_SIZE, y+DLG_SIZE, 0, 0 );
			Button *tmpBtn =
				new Button( x + 1, y + 1, x + DLG_SIZE - 1,
							y + DLG_SIZE - 1, CallDlg, 0, " Next " );
			tmpDlg->CRegObject( tmpBtn );
			ButtonList.CPush( tmpBtn );
			debug_msg ("CallDlg: install! ... " );
			ViewMgr::CSendMsg( tmpDlg, INSTALL_DIALOG, msg->ToObj );
			debug_cnt( " Done " << endl;)
			// Simulate a click on object #2 (who will show the avail mem)
			Object *tmpObj = MainMgr.CGetObject(2);
			ViewMgr::CSendMsg( tmpObj, 0, msg->ToObj, LHOLD );
			ViewMgr::CSendMsg( tmpObj, 0, msg->ToObj, LCLICK );
//			if ( firstDlg ) tmpDlg->next = firstDlg;
			firstDlg = tmpDlg;
			x += 5; y += 5;
		}
	}
	return 0;
}

DeclareObjH( OpenFile )
{
    switch( msg->actId ) {
        case DESTROY_DIALOG:
            break;
        case DIALOG_CANCEL:
            break;
        case DIALOG_CONFIRM:
            break;
        case INSTALL_DIALOG:
            return 0;
    }
    if ( isClick( msg, LEFT_PRESSED )) {
        Dialog dlg( 10, 10, 200, 30, 0, 0 );
//        StrBox editBox( 13, 13, 197, 27, 0, string( "c:\\untiled.pic"));

    }
}

// main operations:
	// Set up graphic mode
	// editing manager Init - use mouse to draw in the green rect
	// Init a few rows of buttons on top of screen - a bunch of push buttons
	// Make two different buttons - a long button and another at top-left
	// Register the objects, including the edit manager - the two buttons
	// Init some intercepters (including a map intercepter)
	// set standard pallete
	// Now enter the main loop
	// restore stuff

int main()
{
    // Set up graphic mode

    _InitVideo;

    // editing manager Init

	ViewMgr editMgr( EDIT_WINDOW, 0,  // dimensions & has no initial object
                    ActivateEditViewMgr,    // handler
					21000, 1 );             // id = 21000, slave = 1;

    ScrObj Editor( EDIT_OBJECT, Edit, 300 ); // actual Edit object
    Button loner( CLEAR_BUTTON, ListHandle, 100);  // Clear Button
    editMgr.CRegPrvInt( beezzz, 0 );    // register a private interceptor
    editMgr.CRegObject( &Editor );      // Register edit object to edit manager
    editMgr.CRegObject( &loner );       // Reg Clear Button to edit manager
    ViewMgr::CSendMsg( &Editor, userEDIT_CLEAR, 0, 0 );
    loner.CShowObject();

    // Init a few rows of buttons on top of the screen

    int x1 = inc + grid - 1, y1 = 1, x2 = x1 + inc, y2 = inc;
    Button *List;
    WORD i = 0;
	int rowsOfButtons = 0;
	while ( 1 ) {
		i++;
		List = new Button (x1, y1, x2, y2, ListHandle, i );
		MainMgr.CRegObject ( List );
		List->CShowObject();
		if (i == 1 ) List->CSetHandler( CallDlg );
        if (i == 3 ) List->CSetHandler( OpenFile );
		x1 = x2 + grid;
        x2 = x1 + inc;
        if (x2 > v_XMax ) {
            rowsOfButtons++;
            x1 = 1;
            x2 = inc - 1;
            y1 = y2 + grid;
            y2 = y1 + inc;
            if (rowsOfButtons == ROWS_OF_BUTTONS) break;
        }
    }

    // Make two different buttons

    Button Rect (RX1, RY1, v_XMax, RY2, RectHandler, 30000, "Beep" );
    Button Beep (1, 0, inc-1, inc-1, beep_beep, 30010 );
    Rect.CShowObject();
    Beep.CShowObject();

    // Register the objects, include the edit manager

    MainMgr.CRegObject (&Rect );
    MainMgr.CRegObject (&Beep );
    MainMgr.CRegObject (&editMgr );

    // Init some intercepters (including a map intercepter)

    map testMap( 0, RY2 + 1, v_XMax, RY2 + 20, 0, 0, 22000 );
    MainMgr.CRegObject ( &testMap );
    MainMgr.CRegInt (updatemap, &testMap );
    MainMgr.CRegInt (waitforkey );
    MainMgr.CRegInt (UpdateMsg );

    // set standard pallete

    #ifdef __MSDOS__
    char far *pals;
    pals = readfile( "data\\standard.pal");
    v_PutPal( pals );
    #endif

    // Now enter the main loop

	m_ShowMouse;
    Timer::CInstallTimer();
    MainMgr.CMgrLoop ();
    Timer::CRemoveTimer();

    // Restore stuff (may not be executed if
    // exit by cliking on the exit button.

    _RestoreVideo;
    beep( 500, 10 );
    return (0);
}
