#include <stdio.h>
#include <stdlib.h>
#include <io.h>

main( int argc, char **argv )
{
    char data[16384];
    char name[128];
    FILE *in;

    sprintf( name, "dummy");
    if ( argc < 2 ) {
        fprintf( stderr, "usage: toheader infile varname.\n");
        exit(1);
    }
    in = fopen( argv[1], "rb");
    if ( in == NULL ) {
        fprintf(stderr, "failed to open file '%s'\n", argv[1]);
        exit(1);
    }
    int p = 0, tp = 0;
    if ( argc == 3 )
        sprintf( name, "%s", argv[2]);
    printf( "char _FAR_ %s[]={ %n", name, &p );
    tp = p;
    int h = fileno( in );
    int sizeread = 0;
    int first = 0;
    while( 1 ) {
        sizeread = read( h, data, 16384 );
        if ( sizeread < 1 ) break;
        for( int i = 0; i < sizeread; i ++ ) {
            if ( first ) {
                printf(", ");
                tp += 2;
            }
            if ( tp > 72 ) {
                tp = 4;
                printf("\n    ");
            }
            printf( "%d%n", (unsigned char)data[i], &p );
            tp += p;
            first = 1;
        }
    }
    printf(" }; \n");
    return 0;
}
