#ifndef _INTERR_H_
#define _INTERR_H_
#include <dos.h>

#ifndef _FAR_
#define _FAR_ far
#endif

//  keyword to define a function as interrupt handler
//  change it if you compiler use a different one
#define _interrupt interrupt
#define installisr( oldisr, newisr, isrNum ) \
    (oldisr=getvect(isrNum),setvect(isrNum,newisr))
#define restoreisr( isrNum, oldisr ) setvect( isrNum, oldisr )
#define DeclareOldIsr( IsrName ) void _interrupt (_FAR_ *IsrName ) (...)
#define DeclareNewIsr( funcName ) void _interrupt funcName(...)

#endif

